# Projects based on MMEditing

There are many projects built upon MMEditing.
We list some of them as examples of how to extend MMEditing for your own projects.
As the page might not be completed, please feel free to create a PR to update this page.

## Research papers

There are also projects released with papers.
Some of the papers are published in top-tier conferences (CVPR, ECCV, and NeurIPS).
Methods already supported and maintained by MMEditing are not listed.

- Towards Interpretable Video Super-Resolution via Alternating Optimization, ECCV 2022 [\[paper\]](https://arxiv.org/abs/2207.10765)[\[github\]](https://github.com/caojiezhang/DAVSR)

- SepLUT:Separable Image-adaptive Lookup Tables for Real-time Image Enhancement, ECCV 2022 [\[paper\]](https://arxiv.org/abs/2207.08351)[\[github\]](https://github.com/ImCharlesY/SepLUT)

- Investigating Tradeoffs in Real-World Video Super-Resolution(RealBasicVSR), CVPR 2022 [\[paper\]](https://arxiv.org/abs/2111.12704)[\[github\]](https://github.com/ckkelvinchan/RealBasicVSR)

- BasicVSR++: Improving Video Super-Resolution with Enhanced Propagation and Alignment, CVPR 2022 [\[paper\]](https://arxiv.org/abs/2104.13371)[\[github\]](https://github.com/ckkelvinchan/BasicVSR_PlusPlus)

- Multi-Scale Memory-Based Video Deblurring, CVPR 2022 [\[paper\]](https://arxiv.org/abs/2204.02977)[\[github\]](https://github.com/jibo27/MemDeblur)

- AdaInt:Learning Adaptive Intervals for 3D Lookup Tables on Real-time Image Enhancement, CVPR 2022 [\[paper\]](https://arxiv.org/abs/2204.13983)[\[github\]](https://github.com/ImCharlesY/AdaInt)

- A New Dataset and Transformer for Stereoscopic Video Super-Resolution, CVPRW 2022 [\[paper\]](https://openaccess.thecvf.com/content/CVPR2022W/NTIRE/papers/Imani_A_New_Dataset_and_Transformer_for_Stereoscopic_Video_Super-Resolution_CVPRW_2022_paper.pdf)[\[github\]](https://github.com/H-deep/Trans-SVSR)

- BasicVSR:The Search for Essential Components in Video Super-Resolution and Beyond, CVPR 2021 [\[paper\]](https://arxiv.org/abs/2012.02181)[\[github\]](https://github.com/ckkelvinchan/BasicVSR-IconVSR)

- GLEAN:Generative Latent Bank for Large-Factor Image Super-Resolution, CVPR 2021 [\[paper\]](https://arxiv.org/abs/2012.00739)[\[github\]](https://github.com/ckkelvinchan/GLEAN)

- DAN:Unfolding the Alternating Optimization for Blind Super Resolution, NeurIPS 2020 [\[paper\]](https://arxiv.org/abs/2010.02631v4)[\[github\]](https://github.com/AlexZou14/DAN-Basd-on-Openmmlab)

- Positional Encoding as Spatial Inductive Bias in GANs, CVPR 2021[\[paper\]](https://openaccess.thecvf.com/content/CVPR2021/papers/Xu_Positional_Encoding_As_Spatial_Inductive_Bias_in_GANs_CVPR_2021_paper.pdf)[\[github\]](https://github.com/open-mmlab/mmgeneration/tree/master/configs/positional_encoding_in_gans)

- A Multi-Modality Ovarian Tumor Ultrasound Image Dataset for Unsupervised Cross-Domain Semantic Segmentation, arXiv 2022 [\[paper\]](https://arxiv.org/pdf/2207.06799.pdf)[\[github\]](https://github.com/cv516buaa/mmotu_ds2net)

- Arbitrary-Scale Image Synthesis, CVPR 2022 [\[paper\]](https://arxiv.org/pdf/2204.02273.pdf)[\[github\]](https://github.com/vglsd/ScaleParty)

## Open-source projects

Some open-source projects extend MMEditing for more functions and fields.
They reveal the potential of what MMEditing can do. We list several of them as below.

- [PowerVQE](https://github.com/ryanxingql/powervqe): Open framework for quality enhancement of compressed videos based on PyTorch and MMEditing.
- [VR-Baseline](https://github.com/linjing7/VR-Baseline): Video Restoration Toolbox.
- [Manga-Colorization-with-CycleGAN](https://github.com/chandlerbing65nm/Manga-Colorization-with-CycleGAN): Colorizing Black&White Japanese Manga using Generative Adversarial Network.
